CopyHero

Read Stores

GET
/api/v1/stores/

Retrieve Stores with comprehensive filtering.

Supports:

  • Search: Search store name, domain, or URL (ILIKE)
  • Sorting: Sort by name or domain
  • Pagination: skip and limit parameters

Examples: GET /stores?search_query=myshop GET /stores?sort_by=name&sort_order=asc GET /stores?search_query=shop&sort_by=name&sort_order=asc

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

search_query?|null
sort_by?Sort By
Default"created_at"
sort_order?Sort Order
Default"desc"
Value in"asc""desc"
skip?Skip
Range0 <= value
Default0
limit?Limit
Range1 <= value <= 1000
Default100
owned_only?Owned Only
Defaultfalse

Response Body

Successful Response

application/json
  1. response
data*array<>
count*Count
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/stores/'
Example Response
{  "data": [    {      "store_url": "string",      "language": "string",      "default_push_blueprint_id": 0,      "generated_image_output_format": "png",      "generated_image_webp_quality": 1,      "id": 0,      "name": "string",      "owner_id": 0,      "owner": {        "email": "string",        "is_active": true,        "is_superuser": false,        "full_name": "string",        "sub": "string",        "provider": "auth0",        "last_synced_at": "2019-08-24T14:15:22Z",        "quota": 1000,        "onboarding_completed_at": "2019-08-24T14:15:22Z",        "locale": "en",        "id": 0      },      "currency": "string",      "domain": "string",      "country_code": "string",      "image_preview_url": "string",      "description": "string",      "title": "string",      "hbs_template": "string",      "json_template": "string",      "oauth_completed_at": "2019-08-24T14:15:22Z",      "oauth_scopes": "string",      "missing_scopes": [        "string"      ],      "features": {        "property1": true,        "property2": true      }    }  ],  "count": 0}